Create a node group for a Kubernetes cluster
POST/v1/kubernetes_clusters/{kubernetes_cluster_id}/node_groups
Send a POST request to the /v1/kubernetes_clusters/{kubernetes_cluster_id}/node_groups endpoint to create a node group. Specify the cluster in the path parameter and fill in the group details in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
kubernetes_cluster_id | stringA unique identifier of a Kubernetes cluster to create a node group in. To list all cluster IDs, use the relevant request. |
Request Body
| Field | Details |
|---|---|
name | stringGive a name to a node group. It can consist of Latin letters in lowercase, digits, and a hyphen. A minimum of 3 and a maximum of 63 characters. |
description? | stringLeave a comment about a node group. A maximum of 255 characters. |
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/kubernetes_clusters/JxboZzag/node_groups" \ -H "Content-Type: application/json" \ -d '{ "name": "test", "description": "test description" }'{ "id": "QBeXWdyK", "name": "test", "description": "test description", "node_count": 0, "created_at": "2026-05-28T07:00:47.926Z", "updated_at": "2026-05-28T07:00:47.926Z"}